> ## Documentation Index
> Fetch the complete documentation index at: https://docs.igrisecurity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an audit event

> Returns one audit event.

**Required permission:** `audit:read`




## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/audit-events/{id}
openapi: 3.1.0
info:
  title: Igris Management API
  version: '1'
  description: >-
    REST API for managing Igris connections, policies, sessions, audit events
    and alerts.
servers:
  - url: https://api.igrisecurity.com
security:
  - bearerAuth: []
tags:
  - name: Connections
  - name: Policies
  - name: Sessions
  - name: Audit Events
  - name: Incidents
  - name: Webhooks
  - name: API Keys
  - name: Members
  - name: LLM Providers
  - name: LLM Cost
  - name: Observe
paths:
  /api/v1/audit-events/{id}:
    get:
      tags:
        - Audit Events
      summary: Get an audit event
      description: |
        Returns one audit event.

        **Required permission:** `audit:read`
      operationId: getAuditEvent
      parameters:
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: The event.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AuditEvent'
              example:
                data:
                  id: 1a2b3c4d-0000-4000-8000-000000000005
                  source: igris
                  type: llm_call
                  timestamp: '2026-01-01T00:00:00Z'
                  provider: openai
                  model: gpt-4o
                  tokensIn: 812
                  tokensOut: 240
                  costCents: 0.44
                  latencyMs: 1830
                  llmEndpoint: chat.completions
                  policyAction: allow
                  deniedBy: null
                  connectionSlug: openai-prod
                  userId: alice@company.com
                  actorKind: api_key
                  actorName: CI key
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AuditEvent:
      type: object
      description: >
        One audit event. LLM events also carry `provider`, `model`, `tokensIn`,
        `tokensOut`, `costCents`, `latencyMs`, `llmEndpoint` and `deniedBy`.
        `actorKind`, `actorId` and `actorName` record who acted.
      properties:
        id:
          type: string
          format: uuid
        organizationId:
          type: string
        source:
          type: string
          enum:
            - igris
            - portkey
            - helicone
            - cloudflare
            - cloudwatch
            - datadog
            - raw
        type:
          type: string
          enum:
            - llm_call
            - mcp_tool_call
            - pii_redaction
            - injection_blocked
            - budget_exceeded
            - anomaly
            - connection_lifecycle
            - access_change
        timestamp:
          type: string
          format: date-time
        provider:
          type:
            - string
            - 'null'
        model:
          type:
            - string
            - 'null'
        tokensIn:
          type:
            - integer
            - 'null'
        tokensOut:
          type:
            - integer
            - 'null'
        cachedInputTokens:
          type:
            - integer
            - 'null'
        costCents:
          type:
            - number
            - 'null'
        latencyMs:
          type:
            - integer
            - 'null'
        llmEndpoint:
          type:
            - string
            - 'null'
        deniedBy:
          type:
            - string
            - 'null'
        requestMode:
          type:
            - string
            - 'null'
        mcpServer:
          type:
            - string
            - 'null'
        toolName:
          type:
            - string
            - 'null'
        toolArgs:
          description: Tool call arguments as JSON.
        toolResult:
          type:
            - string
            - 'null'
        policyAction:
          type:
            - string
            - 'null'
          enum:
            - allow
            - deny
            - alert
            - redact
            - null
        policyId:
          type:
            - string
            - 'null'
          format: uuid
        policyName:
          type:
            - string
            - 'null'
        sessionId:
          type:
            - string
            - 'null'
        piiEntitiesFound:
          type:
            - array
            - 'null'
          items:
            type: string
        piiAction:
          type:
            - string
            - 'null'
        eventType:
          type:
            - string
            - 'null'
        severity:
          type:
            - string
            - 'null'
          enum:
            - critical
            - high
            - medium
            - low
            - info
            - null
        details:
          type:
            - object
            - 'null'
        userId:
          type:
            - string
            - 'null'
        actorKind:
          type:
            - string
            - 'null'
        actorId:
          type:
            - string
            - 'null'
        actorName:
          type:
            - string
            - 'null'
        traceId:
          type:
            - string
            - 'null'
        requestMetadata:
          type:
            - object
            - 'null'
        connectionSlug:
          type:
            - string
            - 'null'
        restoredFromArchiveId:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    ForbiddenError:
      type: object
      properties:
        error:
          type: string
          example: Forbidden
        required:
          type: string
          description: The permission the caller lacks.
          example: policies:write
  responses:
    Unauthorized:
      description: No valid session or API key, or the key's creator is no longer a member.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Unauthorized
    Forbidden:
      description: The caller lacks the required permission.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenError'
    NotFound:
      description: Not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: ig_...
      description: >-
        An Igris API key. It acts with the current role and permission overrides
        of the member who created it.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.